Get Provider Payors
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/provider-payors/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/provider-payors/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/provider-payors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "AETNA",
"alternate_identifiers": [
{
"identifier": "AETNA_INSC",
"standard": "PROVIDER_IDENTIFIER",
"payor_types": [
"COMMERCIAL",
"MEDICARE"
]
}
],
"insurance_types": [
[
"COMMERCIAL",
"MEDICARE"
]
]
}
],
"first_id": null,
"last_id": null
}{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}Payors
Get Provider Payors
GET
/
public
/
v1
/
provider-payors
/
Get Provider Payors
This API is similar to the Get Payors API in that it allows searching
by payor ids supported by clearing houses in addition to your own payor ids. To enter in your own payor ids,
you will have to go to Developer -> Payor Identifiers in the Silna portal.
If you want to just search across a clearing house standard, you can set the
If you want to search on the payor ids that you entered in the Silna portal you can use a request like the below:
We recommend a strategy like the below if you have a mix of clearing house ids and your own ids.
1. Narrow Search
2. Narrow Search on own Identifiers
3. Broad Search
standard query parameter an
enum value corresponding to a clearing house (for example AVAILITY for Availity).
curl --request GET \
--url 'https://api.silnahealth.com/public/v1/provider-payors/?standard=AVAILITY&identifier=AETNA' \
--header 'Authorization: Bearer <token>'
curl --request GET \
--url 'https://api.silnahealth.com/public/v1/provider-payors/?standard=PROVIDER_IDENTIFIER&identifier=11111' \
--header 'Authorization: Bearer <token>'
curl --request GET \
--url 'https://api.silnahealth.com/public/v1/provider-payors?standard=AVAILITY&identifier=1111' \
--header 'Authorization: Bearer <token>'
curl --request GET \
--url 'https://api.silnahealth.com/public/v1/provider-payors?standard=PROVIDER_IDENTIFIER&identifier=1111' \
--header 'Authorization: Bearer <token>'
curl --request GET \
--url 'https://api.silnahealth.com/public/v1/provider-payors?identifier=1111' \
--header 'Authorization: Bearer <token>'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
AVAILITY, WAYSTAR, CHANGE_HEALTHCARE, OFFICE_ALLY, CLAIM_MD, STEDI, PROVIDER_IDENTIFIER Available options:
COMMERCIAL, MEDICARE, MEDICAID, REGIONAL_CENTER, WORKERS_COMPENSATION, AUTO_INSURANCE